#ifndef _CONNECT_HPP_
#define _CONNECT_HPP_

#include "syselmts.hpp"

class Connection : public SystemElement
{
public:
    Connection(std::string name);
};

class Connections : public SystemElementContainer<Connection>
{
public:
    Connections(void);
    Connections(std::vector<Connection> connections);
};

#endif // _CONNECT_HPP_